<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/src/spi.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">spi.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>MINI51 series SPI driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div>
<p><a href="spi_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad923655d26fb14da88c61d4ed0125c44"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:gad923655d26fb14da88c61d4ed0125c44"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB first and the automatic slave select function is disabled. In Slave mode, the u32BusClock must be NULL and the SPI clock divider setting will be 0.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">More...</a><br /></td></tr>
<tr class="separator:gad923655d26fb14da88c61d4ed0125c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset SPI module and disable SPI peripheral clock.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">More...</a><br /></td></tr>
<tr class="separator:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae59c481764af06e5512f4416a91c5da2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gae59c481764af06e5512f4416a91c5da2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear Rx FIFO buffer.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">More...</a><br /></td></tr>
<tr class="separator:gae59c481764af06e5512f4416a91c5da2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1c25325aceb6a6ed417055225aff01b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gad1c25325aceb6a6ed417055225aff01b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear Tx FIFO buffer.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">More...</a><br /></td></tr>
<tr class="separator:gad1c25325aceb6a6ed417055225aff01b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the automatic slave select function.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">More...</a><br /></td></tr>
<tr class="separator:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55b31f9a751c6e784ad0022bc9155153"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</td></tr>
<tr class="memdesc:ga55b31f9a751c6e784ad0022bc9155153"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the automatic slave select function. Only available in Master mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">More...</a><br /></td></tr>
<tr class="separator:ga55b31f9a751c6e784ad0022bc9155153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SPI bus clock. Only available in Master mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">More...</a><br /></td></tr>
<tr class="separator:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58733a1f2730db4943ee270c5aad39ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</td></tr>
<tr class="memdesc:ga58733a1f2730db4943ee270c5aad39ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FIFO mode with user-specified Tx FIFO threshold and Rx FIFO threshold configurations.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">More...</a><br /></td></tr>
<tr class="separator:ga58733a1f2730db4943ee270c5aad39ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38d6219787921363efa7dcd46fdb6846"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga38d6219787921363efa7dcd46fdb6846"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FIFO mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">More...</a><br /></td></tr>
<tr class="separator:ga38d6219787921363efa7dcd46fdb6846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3a43e332cf4de4b416980eeab502d07"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gae3a43e332cf4de4b416980eeab502d07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the actual frequency of SPI bus clock. Only available in Master mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">More...</a><br /></td></tr>
<tr class="separator:gae3a43e332cf4de4b416980eeab502d07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FIFO related interrupts specified by u32Mask parameter.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">More...</a><br /></td></tr>
<tr class="separator:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FIFO related interrupts specified by u32Mask parameter.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">More...</a><br /></td></tr>
<tr class="separator:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MINI51 series SPI driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>13 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/11/05 11:28a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="spi_8c_source.html">spi.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
